Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597518 - ds-replcheck command returns traceback errors against ldif files having garbage content when run in offline mode
Summary: ds-replcheck command returns traceback errors against ldif files having garba...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: RHDS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-03 06:47 UTC by Amita Sharma
Modified: 2018-10-30 10:15 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.8.4-4.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-10-30 10:14:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3127 None None None 2018-10-30 10:15:20 UTC

Description Amita Sharma 2018-07-03 06:47:14 UTC
Description of problem:
ds-replcheck command returns traceback errors against ldif files having garbage content when run in offline mode

Version-Release number of selected component (if applicable):
389-ds-base-1.3.8.4-3.el7.x86_64


How reproducible:
Always

Steps to Reproduce:
# ds-replcheck -v -M a.ldif -R b.ldif
Performing offline report...
Gathering all the DN's...
Gathering the database RUV's...
Traceback (most recent call last):
  File "/usr/bin/ds-replcheck", line 1290, in <module>
    main()
  File "/usr/bin/ds-replcheck", line 1279, in main
    do_offline_report(opts, OUTPUT_FILE)
  File "/usr/bin/ds-replcheck", line 575, in do_offline_report
    opts['master_ruv'] = get_ldif_ruv(MLDIF, opts)
  File "/usr/bin/ds-replcheck", line 417, in get_ldif_ruv
    result = ldif_search(LDIF, opts['ruv_dn'])
KeyError: 'ruv_dn'

I am getting traceback if I have garbage content in ldif files.

# cat a.ldif 
dsfcdfdfdef
dsfcdfdsfsfds

Actual results:
the command crashes

Expected results:
The command should not report any trackback errors and report that the files have invalid content or some proper error message.

Additional info:
This bug was found while verifying https://bugzilla.redhat.com/show_bug.cgi?id=1556803

Comment 2 mreynolds 2018-07-09 19:17:05 UTC
Upstream ticket:
https://pagure.io/389-ds-base/issue/49840

Comment 3 mreynolds 2018-07-12 14:30:39 UTC
Fixed upstream

Comment 5 Amita Sharma 2018-07-18 10:42:51 UTC
[root@qeos-11 /]# ds-replcheck -v -M a.ldif -R b.ldif
Performing offline report...
LDIF file (a.ldif) does not exist
[root@qeos-11 /]# rpm -qa | grep 389
389-ds-base-libs-1.3.8.4-5.el7.x86_64
389-ds-base-snmp-1.3.8.4-5.el7.x86_64
389-ds-base-1.3.8.4-5.el7.x86_64
389-ds-base-debuginfo-1.3.8.4-5.el7.x86_64
[root@qeos-11 /]# vim a.ldif
[root@qeos-11 /]# vim b.ldif
[root@qeos-11 /]# ds-replcheck -v -M a.ldif -R b.ldif
Performing offline report...
Validating Master ldif file (a.ldif)...
Validating Replica ldif file (b.ldif)...
Gathering all the DN's...
Failed to find the database RUV in the LDIF file: a.ldif, the LDIF file must contain replication state information.
Failed to find the database RUV in the LDIF file: b.ldif, the LDIF file must contain replication state information.
Aborting scan...

Marking Verified.

Comment 7 errata-xmlrpc 2018-10-30 10:14:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3127


Note You need to log in before you can comment on or make changes to this bug.